// @ts-ignore
/* eslint-disable */
import request from '../request';

/** 管理员详情 GET /auth/userAdmin */
export async function userAdmin(
	// 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
	params: AuthAPI.userAdminParams,
	options?: { [key: string]: any },
) {
	return request<AuthAPI.SingleResponseAdminVO>('/auth/userAdmin', {
		method: 'GET',
		params: {
			...params,
			adminShowQry: undefined,
			...params['adminShowQry'],
		},
		...(options || {}),
	});
}

/** 用户信息 GET /auth/userInfo */
export async function userInfo(options?: { [key: string]: any }) {
	return request<AuthAPI.SingleResponseUserAuthVO>('/auth/userInfo', {
		method: 'GET',
		...(options || {}),
	});
}

/** 菜单列表 GET /auth/userMenu */
export async function userMenu(
	// 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
	params: AuthAPI.userMenuParams,
	options?: { [key: string]: any },
) {
	return request<AuthAPI.MultiResponseTreeLong>('/auth/userMenu', {
		method: 'GET',
		params: {
			...params,
			roleMenuTreeQry: undefined,
			...params['roleMenuTreeQry'],
		},
		...(options || {}),
	});
}
